"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.DragObject = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _symbols = require("../symbols");
var _node = require("./node");
var DragObject = /*#__PURE__*/function () {
  function DragObject(dragObject) {
    this[_symbols.dragObjectSymbol] = void 0;
    this[_symbols.dragObjectSymbol] = dragObject;
  }
  DragObject.create = function create(dragObject) {
    if (!dragObject) {
      return null;
    }
    return new DragObject(dragObject);
  };
  (0, _createClass2["default"])(DragObject, [{
    key: "type",
    get: function get() {
      return this[_symbols.dragObjectSymbol].type;
    }
  }, {
    key: "nodes",
    get: function get() {
      var nodes = this[_symbols.dragObjectSymbol].nodes;
      if (!nodes) {
        return null;
      }
      return nodes.map(_node.Node.create);
    }
  }, {
    key: "data",
    get: function get() {
      return this[_symbols.dragObjectSymbol].data;
    }
  }]);
  return DragObject;
}();
exports.DragObject = DragObject;